## xorp 1.8.5

=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#Copyright (c) 2009-2011 XORP, Inc and Others
+#Copyright (c) 2009-2012 XORP, Inc and Others
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, Version 2, June
@@ -84,6 +84,7 @@
     BoolVariable('enable_boost',  'Use BOOST', False),
     BoolVariable('enable_ustl',  'Use uSTL', False),
     BoolVariable('enable_bgp',  'Build BGP', True),
+    BoolVariable('enable_buildinfo',  'Build Info, see libxorp/create_buildinfo.sh', True),
     BoolVariable('enable_olsr',  'Build OLSR', True),
     BoolVariable('enable_ospf',  'Build OSPF', True),
     BoolVariable('enable_rip',  'Build RIP', True),
@@ -92,11 +93,12 @@
     BoolVariable('enable_tests',  'Build Test Programs', False),
     BoolVariable('enable_click',  'Build CLICK support', False),
     BoolVariable('enable_fea_dummy',  'Build fea-dummy target', True),
+    BoolVariable('enable_async_server',  'Permit asynchronous method implementations', False),
     BoolVariable('debug_xrldb',  'Build with runtime XRL syntax validation in Router Manager', False),
     EnumVariable('debug', 'Build with debug symbols', 'full',
                  allowed_values=('no', 'yes', 'full', 'override'),
                  map={}, ignorecase=2),
-    EnumVariable('optimize', 'Build with optimization', 'yes',
+    EnumVariable('optimize', 'Build with optimization', 'full',
                  allowed_values=('no', 'minimal', 'yes', 'full', 'highest',
                                  'size', 'override'),
                  map={}, ignorecase=2),
@@ -267,7 +269,9 @@
 print 'Enable Test Programs: ', env['enable_tests']
 print 'Enable CLICK:     ', env['enable_click']
 print 'Enable FEA Dummy: ', env['enable_fea_dummy']
+print 'Enable async method impls: ', env['enable_async_server']
 print 'Enable BGP:       ', env['enable_bgp']
+print 'Enable BuildInfo: ', env['enable_buildinfo']
 print 'Try Enable BOOST: ', env['enable_boost']
 print 'Try Enable uSTL : ', env['enable_ustl']
 print 'Disable IPv6:     ', env['disable_ipv6']
@@ -311,12 +315,3 @@
 SConsEnvironment.InstallProgram = InstallProgram
 
 def InstallScript(env, dest, files, perm = 0555):
-    if env.has_key('DESTDIR'):
-    	# NB: use simple concatenation
-    	dest = env.Dir(env['DESTDIR'] + env.Dir(dest).path)
-    obj = env.Install(dest, files)
-    for i in obj:
-	env.AddPostAction(i, env.Chmod(str(i), perm))
-    return obj 
-SConsEnvironment.InstallScript = InstallScript
-
