## xorp 1.8.6~wip.20160715

=== SConstruct ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 import sys
 import os
+import shutil
 import string
 import subprocess
 import fnmatch
@@ -81,11 +82,16 @@
     BoolVariable('disable_errorlogs',  'Force disable error logs', False),
     BoolVariable('disable_otherlogs',  'Force disable other logs', False),
     BoolVariable('disable_profile',  'Disable Xorp Profiler feature', False),
+    BoolVariable('disable_werror',  'Disable -Werror compiler flag', False),
+    BoolVariable('disable_assert',  'Force disabling assertions - use with caution', False),
+    BoolVariable('enable_lex_hack',  'Works around lex/yacc issues on FreeBSD', False),
+    BoolVariable('enable_builddirrun',  'Enable Xorp to run from BUILD_DIR', False),
     BoolVariable('enable_boost',  'Use BOOST', False),
     BoolVariable('enable_ustl',  'Use uSTL', False),
     BoolVariable('enable_bgp',  'Build BGP', True),
     BoolVariable('enable_buildinfo',  'Build Info, see libxorp/create_buildinfo.sh', True),
     BoolVariable('enable_olsr',  'Build OLSR', True),
+    BoolVariable('enable_wrapper',  'Build Wrapper', True),
     BoolVariable('enable_ospf',  'Build OSPF', True),
     BoolVariable('enable_rip',  'Build RIP', True),
     BoolVariable('enable_vrrp',  'Build VRRP', True),
@@ -93,6 +99,7 @@
     BoolVariable('enable_tests',  'Build Test Programs', False),
     BoolVariable('enable_click',  'Build CLICK support', False),
     BoolVariable('enable_fea_dummy',  'Build fea-dummy target', True),
+    BoolVariable('enable_viff_use_ifindex',  'Use VIFF_USE_IFINDEX feature in Linux kernel 2.6.31+', False),
     BoolVariable('enable_async_server',  'Permit asynchronous method implementations', False),
     BoolVariable('debug_xrldb',  'Build with runtime XRL syntax validation in Router Manager', False),
     EnumVariable('debug', 'Build with debug symbols', 'full',
@@ -138,7 +145,7 @@
     build_alias = tgt_guess()
 build = tgt_canonicalize(build_alias)
 (build_cpu, build_vendor, build_os) = build.split('-', 2)
-    
+
 host_alias = ARGUMENTS.get('host', None)
 if host_alias == None:
     host_alias = build_alias
@@ -181,6 +188,8 @@
 		  variables = vars)
 
 prefix = env['prefix']
+
+env['builddir'] = builddir;
 
 print 'Build System Type: ', build
 print 'Host System Type:  ', host
@@ -262,6 +271,7 @@
 print 'Debug callbacks:  ', env['debug_cb']
 print 'Debug XRL syntax: ', env['debug_xrldb']
 print 'Enable OLSR:      ', env['enable_olsr']
+print 'Enable Wrapper:   ', env['enable_wrapper']
 print 'Enable OSPF:      ', env['enable_ospf']
 print 'Enable RIP:       ', env['enable_rip']
 print 'Enable VRRP:      ', env['enable_vrrp']
@@ -269,15 +279,19 @@
 print 'Enable Test Programs: ', env['enable_tests']
 print 'Enable CLICK:     ', env['enable_click']
 print 'Enable FEA Dummy: ', env['enable_fea_dummy']
+print 'Enable VIFF_USE_IFINDEX: ', env['enable_viff_use_ifindex']
 print 'Enable async method impls: ', env['enable_async_server']
 print 'Enable BGP:       ', env['enable_bgp']
 print 'Enable BuildInfo: ', env['enable_buildinfo']
+print 'Xorp can run from BUILD_DIR: ', env['enable_builddirrun']
 print 'Try Enable BOOST: ', env['enable_boost']
 print 'Try Enable uSTL : ', env['enable_ustl']
 print 'Disable IPv6:     ', env['disable_ipv6']
 print 'Disable libtecla: ', env['disable_libtecla']
 print 'Disable Firewall: ', env['disable_fw']
 print 'Disable Profile : ', env['disable_profile']
+print 'Disable -Werror : ', env['disable_werror']
+print 'Enable lex hack : ', env['enable_lex_hack']
 print 'Disable warning logs : ', env['disable_warninglogs']
 print 'Disable error logs : ', env['disable_errorlogs']
 print 'Disable trace logs : ', env['disable_tracelogs']
@@ -285,33 +299,7 @@
 print 'Disable info logs : ', env['disable_infologs']
 print 'Disable assert logs : ', env['disable_assertlogs']
 print 'Disable other logs : ', env['disable_otherlogs']
+print 'Disable assert: ', env['disable_assert']
 
 
 env['CONFIGURELOG'] = str(builddir) + os.sep + 'config.log'
-env['CONFIGUREDIR'] = str(builddir) + os.sep + '.sconf_temp'
-
-SConsEnvironment.Chmod = SCons.Action.ActionFactory(os.chmod,
-    lambda dest, mode: 'Chmod("%s", 0%o)' % (dest, mode))
-
-def Symlink(src, link_name):
-    try:
-        os.unlink(link_name)
-    except OSError:
-        pass
-    os.symlink(src, link_name)
-SConsEnvironment.Symlink = SCons.Action.ActionFactory(Symlink,
-    lambda src, link_name: 'Symlink("%s", as "%s")' % (src, link_name))
-
-def InstallProgram(env, dest, files, perm = 0755):
-    if env.has_key('DESTDIR'):
-    	# NB: use simple concatenation
-    	dest = env.Dir(env['DESTDIR'] + env.Dir(dest).path)
-    obj = env.Install(dest, files)
-    for i in obj:
-	env.AddPostAction(i, env.Chmod(str(i), perm))
-	if env['strip']:
-	    env.AddPostAction(i, Action("$STRIP $TARGET"))
-    return obj 
-SConsEnvironment.InstallProgram = InstallProgram
-
-def InstallScript(env, dest, files, perm = 0555):
