=== debian/changelog ===
xorp (1.8.6~wip.20160715-2ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:55:56 +0000

xorp (1.8.6~wip.20160715-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build for all architectures.
  * Dropped changes, included in Debian:
    - Build using autotools-dev.
    - Drops build-dependency on gcc-4.6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Jul 2016 17:59:48 +0200

xorp (1.8.6~wip.20160715-2) unstable; urgency=low

  * Add dh_update_autotools_config for trying to build on ppc64el.
  * Increase versioned depends on debhelper.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 23 Jul 2016 22:00:43 +0100

xorp (1.8.6~wip.20160715-1) unstable; urgency=low

  * New upstream release, (Closes: #811943)
  * Update email of Maintainer.
  * wrap-and-sort -at.
  * Bump Standards-Version 3.9.8 nothing changed.
  * Drop patches fea_mfea_mrouter.cc__build_with_gcc-4.7, use_cpp-4.6 and
    experimental_ftbfs_cpp-4.7 because they are no longer needed.
  * Fix lintian error
    maintainer-script-should-not-use-adduser-system-without-home.
  * Don't "scons -c" if file libxorp/build_info.cc don't exist.
  * xorp now Build-Depends on bison and flex.
  * Enable hardening build flags, thanks to Dhionel Díaz
    <ddiaz@cenditel.gob.ve> for the patch to support CPPFLAGS.  (Closes:
    #798902).
  * Add support to systemd (Closes: #798802), thank you Dhionel Díaz for
    the patches.
  * Acknwoledge NMU, thank you Matthias Klose <doko@debian.org>.
  * Make build reproducible, (Closes: #831429).
  * Increase compat level to 9.
  * Drop old Buil-Depends on quilt.
  * Updated the list or support architectures, add pcc64el and replace
    s390 by s390x.
  * Drop patches accepted by upstream fix-return-void
    fix-route_table_ribin.cc-lookup_route-misleading-indentation
    fix-trie.hh-find-bounds-mislideading-indentation.
  * Disable -Werr and remove -Wno-error=*.
  * Removed obsolete READMEs.
  * Removed helper files for backport, gone obsolete.
  * Removed personal targets and variables from debian/rules.

 -- Jose M Calhariz <jose@calhariz.com>  Fri, 22 Jul 2016 22:18:18 +0100

xorp (1.8.5-4.1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Build using autotools-dev.
    - Build for all architectures.
  * Drops build-dependency on gcc-4.6.  LP: #1459952.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2015 05:53:41 +0200

xorp (1.8.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Handle GCC releases >= 5. Closes: #778188.
  * Build with -ftemplate-depth=30.
  * Build with -Werror=sizeof-array-argument.
  * Rename out_of_range to xorp_out_of_range.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 17:07:51 +0200

xorp (1.8.5-4ubuntu2) utopic; urgency=medium

  * Build using autotools-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2014 15:10:43 +0200

xorp (1.8.5-4ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build for all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 22:47:01 +0200

xorp (1.8.5-4) unstable; urgency=low

  * Change email of Maintainer.
  * Update rules file to version 0.27.
  * experimental_ftbfs_cpp-4.7: experimental patch to make xorp compile
    with cpp 4.7 or better.

 -- Jose M Calhariz <jose.calhariz@netvisao.pt>  Tue, 09 Sep 2014 12:48:18 +0100

xorp (1.8.5-3) unstable; urgency=low

  * Add support to build with GCC 4.9 (Closes: #746922).
  * Rebuild without build-depend on cpp-4.6 (Closes: #747993).
  * Update Maintainer address.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sat, 23 Aug 2014 20:47:52 +0100

xorp (1.8.5-2) unstable; urgency=low

  * Remade the previous work around to build with GCC 4.7 and 4.8, now use
    only cpp-4.6.
  * Fix bashism on bgp_xrl_shell_funcs.sh and fea_xrl_shell_funcs.sh
    scripts (Closes: #690647).
  * Make init.d more LSB compliant (Closes: #693776).

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 16 Aug 2013 19:51:12 +0100

xorp (1.8.5-1.1) unstable; urgency=low

  * Non maintainer upload
  * Work around build failure with GCC 4.7. Closes: #667423.

 -- Matthias Klose <doko@debian.org>  Mon, 28 May 2012 13:44:30 +0000

xorp (1.8.5-1) unstable; urgency=low

  * New upstream release
    - Remove upstream's tmp/ directory which contains unused content
    (XORP modular router with improvements to better support LANforge.)
  * Remove patches for FTBFS on gcc 4.6, where accepted by upstream.
  * Remove obsolete patch xorpsh.1_fix_typo.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 13 Feb 2012 20:41:33 +0000

xorp (1.8.3-1) unstable; urgency=low

  * Updated manpages with the new options.
  * SNMP support was dropped from xorp, so closing (Closes: #563944).
  * Added build-arch and build-indep rules.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 21 Aug 2011 21:27:11 +0100

xorp (1.8.3-1~wip5) experimental; urgency=low

  * New upstream release.
  * Don't depend on daemon (Closes: #611227).
  * Move xorp preinst to postinst for setting up proper ownership of
    /etc/xorp during fresh installs (Closes: #611231).
  * Give write permissions to group xorp as suggested on bug report
    #611231.
  * Removes old obsolete patches.
  * Solve FTBFS with g++ v4.6 (Closes: #625437).
  * Remove rules for building indep packages, upstream don't ship anymore
    documentation.
  * Created patches for compiling the checks with g++ v4.6
  * Standards Version updated to 3.9.2, no changes needed.
  * Fetch manpages from upstream git into debian directory and create man
    pages from sgml files.
  * Dropped depends on libsnmp-dev, the support was removed from xorp.
  * Increase debhelper compatibility to v7 as is supported on lenny, may
    lower to 5 for building on etch.

