=== debian/control ===
Source: xorp
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose M Calhariz <jose@calhariz.com>
Uploaders: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>,
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9.20160114),
               dh-systemd,
               docbook-to-man,
               flex,
               libboost-dev,
               libncurses5-dev | ncurses-dev,
               libpcap0.8-dev,
               libssl-dev,
               libsystemd-dev,
               pkg-config,
               scons,
Build-Conflicts: iptables-dev,
Standards-Version: 3.9.8
Homepage: http://www.xorp.org
Vcs-Svn: svn://anonscm.debian.org/pkg-xorp/trunk/xorp
Vcs-Browser: https://anonscm.debian.org/viewsvn/pkg-xorp/trunk/xorp/

Package: xorp
Architecture: any
Depends: adduser (>= 3.11),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iputils-ping,
            iputils-tracepath,
            traceroute,
Description: eXtensible Open Router Platform
 XORP is the eXtensible Open Router Platform. It implements a number of
 routing protocols for IPv4 and IPv6 and a unified means to configure them. It
 is stable and fully featured enough for production use, and flexible and
 extensible enough to enable network research.
 .
 The following network protocols are currently
 supported: BGP, OSPF, RIP/RIPng, IGMP/MLD and PIM-SM.
 .
